## net.i2p.client.streaming
Class SchedulerPreconnect

    java.lang.Object
      net.i2p.client.streaming.SchedulerImpl
          net.i2p.client.streaming.SchedulerPreconnect

All Implemented Interfaces:
  TaskScheduler

     class SchedulerPreconnect

extends SchedulerImpl

Scheduler used for locally created connections where we have not yet sent the initial SYN packet.

## Entry conditions:

- Locally created
- No packets sent or received

## Events:

- Message flush (explicitly, through a full buffer, or stream closure)
- Initial delay timeout (causing implicit flush of any data available)

## Next states:

- `connecting` - after sending a packet

Field Summary

Fields inherited from class net.i2p.client.streaming.SchedulerImpl
`_context`

Constructor Summary
`SchedulerPreconnect(I2PAppContext ctx)`

Method Summary
`boolean` `accept(Connection con)` Determine whether this scheduler is fit to operate against the given connection
`void` `eventOccurred(Connection con)` An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.

Methods inherited from class net.i2p.client.streaming.SchedulerImpl
`reschedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerPreconnect

    public SchedulerPreconnect(I2PAppContext ctx)

Method Detail

### accept

    public boolean accept(Connection con)

  Description copied from interface: `TaskScheduler`
  Determine whether this scheduler is fit to operate against the given connection

### eventOccurred

    public void eventOccurred(Connection con)

  Description copied from interface: `TaskScheduler`
  An event has occurred (timeout, message sent, or message received), so schedule what to do next based on our current state.